#!/bin/sh
# set -x

##########################
# select the driver name #
##########################
uname -r > /tmp/b
#b=`cat /tmp/b | grep "2.6"`
b=`cat /tmp/b | grep "2.6.5-1.358"`

if [ "$b" == "" ] ;then
echo "SuSE 9.0 unloading the Open Source Drivers"
#rm /lib/modules/2.6.5-override-default/initrd/sata_sil*
rm /lib/modules/2.6.5-override-default/initrd/sata*
rm /lib/modules/2.6.5-override-default/initrd/libata*
/sbin/rmmod -f sata_sil                                                                                
/sbin/rmmod -f libata
#/sbin/insmod ./linux/UnitedLinux/x86_64-ul1/modules/sii6514.o 
/sbin/insmod ./linux/suse/*-sles9/modules/sii6514.ko
dmesg
else
   echo "current kernel is $b"
   echo "Installing RedHat Fedora SiI Driver"
   mkdir /tmp/cpio
   echo "Unzipping drivers ..."
   cp modules.cgz /tmp/cpio
   cd /tmp/cpio
   cat modules.cgz | gunzip | cpio -ivH crc

#x86 needs 3 binaries
   c=$b"BOOT"
   echo $c
   if [ -d /tmp/cpio/$c ] ;then
      cd /tmp/cpio/$c/ 
      /bin/insmod sii6514.ko
   elif [ -d /tmp/cpio/$b ] ;then
      cd /tmp/cpio/$b/
      /bin/insmod sii6514.ko 
   fi
fi
echo "Installed default driver "
ls /proc/scsi/S*/*

